<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BaseTask](./bitburner.basetask.md) &gt; [cyclesWorked](./bitburner.basetask.cyclesworked.md)

## BaseTask.cyclesWorked property

The number of game engine cycles has passed since this task started. 1 engine cycle = 200ms.

**Signature:**

```typescript
cyclesWorked: number;
```
